<div>
  <modal height="auto" name="edit-modal" :scrollable="true" :click-to-close="true" @opened="modalOpened" @closed="modalClosed">
    <div :class="{'modal-backdrop': true, 'fade': true}"></div>
    <div id="modal-edit-file" tabindex="-1" role="dialog">
      <div class="form-group" v-if="(editFile.blob || editFile.image) && editFile.type && editFile.type.substr(0, 6) === 'image/'">
        <div class="edit-image">
          <img v-if="editFile.blob" id="edit-image1" :src="editFile.blob" ref="editImage"/>
          <img v-else-if="editFile.image" id="edit-image2" :src="editFile.image" ref="editImage"/>
        </div>
        <div class="image-edit">
          <div class="image-edit__controls">
            <div class="btn btn_s btn_square image-edit__btn-rotate-left" @click="editFile.cropper.rotate(-90)" title="повернуть против часовой">
              <div class="btn__icon icon icon_24">
                <svg>
                  <use xlink:href="#icon_rotate-left_24"></use>
                </svg>
              </div>
            </div>
            <div class="btn btn_s btn_square image-edit__btn-rotate-right" @click="editFile.cropper.rotate(90)" title="повернуть по часовой">
              <div class="btn__icon icon icon_24">
                <svg>
                  <use xlink:href="#icon_rotate-right_24"></use>
                </svg>
              </div>
            </div>
            <div class="btn btn_s btn_square image-edit__btn-reset" @click="editFile.cropper.clear()" title="сбросить изменения">
              <div class="btn__icon icon icon_24">
                <svg>
                  <use xlink:href="#icon_reset_24"></use>
                </svg>
              </div>
            </div>
            <div class="btn btn_s btn_default image-edit__btn-close" @click.prevent="editFile.show = false" title="закрыть">
              <div class="btn__title">Закрыть</div>
            </div>
            <div v-if="editFile.autoRu" class="btn btn_s btn_primary image-edit__btn-save" @click="onEditorAutoRuFile()" title="сохранить">
              <div class="btn__title">Сохранить</div>
            </div>
            <div v-else-if="editFile.blob" class="btn btn_s btn_primary image-edit__btn-save" @click="onEditorFile()" title="сохранить">
              <div class="btn__title">Сохранить</div>
            </div>
            <div v-else-if="editFile.image" class="btn btn_s btn_primary image-edit__btn-save" @click="onEditorUploadedFile()" title="сохранить">
              <div class="btn__title">Сохранить</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </modal>
  <grid
  :center="false"
  :items="files"
  :cell-width="150"
  :cell-height="240">
    <template slot="cell" slot-scope="props">
      <div class="gallery__item">
        <img class="gallery__thumb" :src="props.item.blob"/>
        <div class="gallery__controls">
          <div class="btn btn_s btn_square" @click.prevent="props.item.active || props.item.success || props.item.error === 'compressing' ? false : onEditFileShow(props.item)" title="редактировать">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_edit_24"></use>
              </svg>
            </div>
          </div>
          <div class="btn btn_s btn_square" @click.prevent="$refs.upload.remove(props.item)" title="удалить">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_close_24"></use>
              </svg>
            </div>
          </div>
        </div>
      </div>
    </template>
  </grid>
  <grid
  :center="false"
  :items="autoRuFiles"
  :cell-width="150"
  :cell-height="240">
    <template slot="cell" slot-scope="props">
      <div class="gallery__item">
        <img class="gallery__thumb" :src="props.item.blob"/>
        <div class="gallery__controls">
          <div class="btn btn_s btn_square" @click.prevent="onEditAutoRuFileShow(props.item)" title="редактировать">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_edit_24"></use>
              </svg>
            </div>
          </div>
          <div class="btn btn_s btn_square" @click.prevent="removeAutoRuFile(props.item)" title="удалить">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_close_24"></use>
              </svg>
            </div>
          </div>
        </div>
      </div>
    </template>
  </grid>
  {% if edit %}
    <div class="upload" v-show="!isOption">
      <div class="edit-image-footer">
        <button type="button" v-show="files.length > 0" class="btn btn_m btn_primary" v-if="!$refs.upload || !$refs.upload.active" @click.prevent="$refs.upload.active = true">
          Загрузить
        </button>
        <button type="button" class="btn btn_m btn_primary"  v-else @click.prevent="$refs.upload.active = false">
          Остановить
        </button>
      </div>
    </div>
  {% endif %}
  <grid
  :center="false"
  :draggable="true"
  :sortable="true"
  :items="uploadedFiles"
  :cell-width="150"
  :cell-height="240"
  @sort="onChangeSorting">
    <template slot="cell" slot-scope="props">
      <div class="gallery__item">
        <img class="gallery__thumb" :src="props.item.image_small"/>
        <div class="gallery__controls">
          <div class="btn btn_s btn_square" @click.prevent="onEditUploadedFileShow(props.item)" title="редактировать">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_edit_24"></use>
              </svg>
            </div>
          </div>
          <div class="btn btn_s btn_square" @click.prevent="removeUploadedFile(props.item)" title="удалить">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_close_24"></use>
              </svg>
            </div>
          </div>
        </div>
      </div>
    </template>
  </grid>
</div>
